Search people
Search for people by specific criteria.
curl -X GET "https://api.flameup.ai/api/v1/people/search?q=example_string&email=user@example.com&external_id=example_string&limit=42" \
-H "Content-Type: application/json" \
-H "Authorization: Bearer YOUR_API_TOKEN"
import requests
import json
url = "https://api.flameup.ai/api/v1/people/search?q=example_string&email=user@example.com&external_id=example_string&limit=42"
headers = {
"Content-Type": "application/json",
"Authorization": "Bearer YOUR_API_TOKEN"
}
response = requests.get(url, headers=headers)
print(response.json())
const response = await fetch("https://api.flameup.ai/api/v1/people/search?q=example_string&email=user@example.com&external_id=example_string&limit=42", {
method: "GET",
headers: {
"Content-Type": "application/json",
"Authorization": "Bearer YOUR_API_TOKEN"
}
});
const data = await response.json();
console.log(data);
package main
import (
"fmt"
"net/http"
"bytes"
)
func main() {
req, err := http.NewRequest("GET", "https://api.flameup.ai/api/v1/people/search?q=example_string&email=user@example.com&external_id=example_string&limit=42", nil)
if err != nil {
panic(err)
}
req.Header.Set("Content-Type", "application/json")
req.Header.Set("Authorization", "Bearer YOUR_API_TOKEN")
client := &http.Client{}
resp, err := client.Do(req)
if err != nil {
panic(err)
}
defer resp.Body.Close()
fmt.Println("Response Status:", resp.Status)
}
require 'net/http'
require 'json'
uri = URI('https://api.flameup.ai/api/v1/people/search?q=example_string&email=user@example.com&external_id=example_string&limit=42')
http = Net::HTTP.new(uri.host, uri.port)
http.use_ssl = true
request = Net::HTTP::Get.new(uri)
request['Content-Type'] = 'application/json'
request['Authorization'] = 'Bearer YOUR_API_TOKEN'
response = http.request(request)
puts response.body
{
"people": [
{
"id": "123e4567-e89b-12d3-a456-426614174000",
"workspace_id": "example_string",
"external_id": "example_string",
"email": "user@example.com",
"phone": "+1-555-0123",
"first_name": "John Doe",
"last_name": "John Doe",
"avatar_url": "example_string",
"timezone": "example_string",
"locale": "example_string",
"status": "active",
"attributes": {},
"created_at": "2024-12-25T10:00:00Z",
"updated_at": "2024-12-25T10:00:00Z",
"first_seen_at": "2024-12-25T10:00:00Z",
"last_seen_at": "2024-12-25T10:00:00Z"
}
]
}
GET
/people/search
GET
Bearer Token
Bearer Tokenstring
RequiredYour Flameup API key (passed as Bearer token)
Your Flameup API key (passed as Bearer token)
query
qstring
General search query
query
emailstring
Exact email match
query
external_idstring
Exact external_id match
Request Preview
Response
Response will appear here after sending the request
Authentication
header
Authorizationstring
RequiredBearer token. Your Flameup API key (passed as Bearer token)
Query Parameters
qstring
General search query
emailstring
Exact email match
external_idstring
Exact external_id match
Responses
peoplearray
idstring
workspace_idstring
external_idstring
emailstring
phonestring
first_namestring
last_namestring
avatar_urlstring
timezonestring
localestring
statusstring
Allowed values:
activeunsubscribedbouncedattributesobject
created_atstring
updated_atstring
first_seen_atstring
last_seen_atstring
Was this page helpful?
Last updated Mar 1, 2026
Built with Documentation.AI